Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.services.entityproperties
Class RDBMPropertyStore

    java.lang.Object
      org.jasig.portal.services.entityproperties.RDBMPropertyStore

All Implemented Interfaces:
  IEntityPropertyFinder, IEntityPropertyStore

    public class RDBMPropertyStore

extends java.lang.Object
implements IEntityPropertyStore

A portal RDBM based entity property store implementation

Version:
  $Revision: 1.18 $
Author:
  Alex Vigdor av317@columbia.edu

Field Summary
`protected static java.lang.String` | `DATE_COL`
`protected static java.lang.String` | `deleteProperty`
`protected static java.lang.String` | `insertProperty`
`protected static java.lang.String` | `KEY_COL`
`private static org.apache.commons.logging.Log` | `log`
`protected static java.lang.String` | `NAME_COL`
`protected static java.lang.Class` | `propsType`
`protected static java.lang.String` | `selectProperties`
`protected static java.lang.String` | `TABLE_NAME`
`protected static java.lang.String` | `TYPE_COL`
`protected static java.lang.String` | `VALUE_COL`

Constructor Summary
`RDBMPropertyStore()`

Method Summary
`protected void` | `addToCache(EntityProperties ep)`
`protected void` | `clearCache(EntityIdentifier entityID)`
`protected EntityProperties` | `getCachedProperties(EntityIdentifier entityID)`
`protected java.sql.Connection` | `getConnection()`
`java.lang.String` | `getProperty(EntityIdentifier entityID, java.lang.String name)`
`java.lang.String[]` | `getPropertyNames(EntityIdentifier entityID)`
`protected void` | `releaseConnection(java.sql.Connection conn)`
`void` | `storeProperty(EntityIdentifier entityID, java.lang.String name, java.lang.String value)`
`void` | `unStoreProperty(EntityIdentifier entityID, java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### propsType

    protected static java.lang.Class propsType

### TABLE_NAME

    protected static final java.lang.String TABLE_NAME

See Also:
  Constant Field Values

### TYPE_COL

    protected static final java.lang.String TYPE_COL

See Also:
  Constant Field Values

### KEY_COL

    protected static final java.lang.String KEY_COL

See Also:
  Constant Field Values

### NAME_COL

    protected static final java.lang.String NAME_COL

See Also:
  Constant Field Values

### VALUE_COL

    protected static final java.lang.String VALUE_COL

See Also:
  Constant Field Values

### DATE_COL

    protected static final java.lang.String DATE_COL

See Also:
  Constant Field Values

### selectProperties

    protected static final java.lang.String selectProperties

See Also:
  Constant Field Values

### deleteProperty

    protected static final java.lang.String deleteProperty

See Also:
  Constant Field Values

### insertProperty

    protected static final java.lang.String insertProperty

See Also:
  Constant Field Values

Constructor Detail

### RDBMPropertyStore

    public RDBMPropertyStore()

Method Detail

### getPropertyNames

    public java.lang.String[] getPropertyNames(EntityIdentifier entityID)

  Specified by:
    `getPropertyNames` in interface `IEntityPropertyFinder`

### getProperty

    public java.lang.String getProperty(EntityIdentifier entityID,
                                        java.lang.String name)

  Specified by:
    `getProperty` in interface `IEntityPropertyFinder`

### storeProperty

    public void storeProperty(EntityIdentifier entityID,
                              java.lang.String name,
                              java.lang.String value)

  Specified by:
    `storeProperty` in interface `IEntityPropertyStore`

### unStoreProperty

    public void unStoreProperty(EntityIdentifier entityID,
                                java.lang.String name)

  Specified by:
    `unStoreProperty` in interface `IEntityPropertyStore`

### getConnection

    protected java.sql.Connection getConnection()

### releaseConnection

    protected void releaseConnection(java.sql.Connection conn)

### getCachedProperties

    protected EntityProperties getCachedProperties(EntityIdentifier entityID)

### clearCache

    protected void clearCache(EntityIdentifier entityID)

### addToCache

    protected void addToCache(EntityProperties ep)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD